Отказ в обслуживании в PWLib

Дата публикации:
09.10.2007
Дата изменения:
09.10.2007
Всего просмотров:
764
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PWLib 1.x
Уязвимые версии: PWLib 1.10.4-1 for Fedora Core 6, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения.

Уязвимость существует из-за ошибки в методе "PString::vsprintf()" в файле src/ptlib/common/contain.cxx. Злоумышленник может передать приложению, использующему уязвимую библиотеку, строку более 1000 байт и вызвать отказ в обслуживании приложения.

URL производителя: www.openh323.org/code.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA